# Gimp.Gradient.segment_range_move

    @accepts(Gimp.Gradient, int, int, float, bool)
    @returns(float)
    def segment_range_move(self, start_segment, end_segment, delta, control_compress):
        # Python wrapper for gimp_gradient_segment_range_move()

Move the position of an entire segment range by a delta.

Moves the position of an entire segment range by a delta. The actual delta (which is returned) will be limited by the control points of the neighboring segments. Returns the actual delta. Returns an error when a segment index is out of range, or gradient is not editable.

Since 2.2

self

  The gradient.

start_segment

  Index of the first segment to operate on.

end_segment

  Index of the last segment to operate on. If negative, the range will extend to the end segment.

delta

  The delta to move the segment range.

control_compress

  Whether or not to compress the neighboring segments.

Returns